	<style>
      .portfolio__link {
        display: block;
        width: 100%;
        height: 100%;
      }
  
      .portfolio__img {
        display: block;
        width: inherit;
        height: inherit;
        object-fit: cover;
      }
  
      .portfolio__item {
        width: 100%;
        max-width: calc((100% / 3) - 14px);
        margin-bottom: 20px;
        text-align:center;
      }
  
      .preloader--loading {
        display: block;
      }
    </style>
	<?php
    echo '
    <section class="layout-centered backgroundMedium" style="background-color:#006f30; padding:0;" data-modul="M00613">
        <div class="row spacerRow">
            <div class="rowInner">
                <div class="teasers">
					<h1 class="h3-teaser" style="margin:0; padding:18px 0px">
						<a style="color:#ffffff" class="black" href="https://www.instagram.com/tradexpoid/" target="_blank">
							FOLLOW US ON INSTAGRAM @TRADEXPOID
						</a>
					</h1>
				</div>
            </div>
        </div>
        <div class="row spacerRow">
            <div class="rowInner">
            	<img class="spacerRowImage" src="'.$thisPage.'images/spacer-bg.png" alt="" title="">        
			</div>
        </div>
	</section>
	<div id="preloader" style="background-color:#e7f7f4; overflow:scroll; height:398px;"></div>';	
	?>
	<!-- <div class="preloader" id="preloader"></div> -->
	<script src="https://polyfill.io/v3/polyfill.min.js?features=Promise"></script>
	<script src="https://unpkg.com/masonry-layout@4/dist/masonry.pkgd.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/nanogram.js@2.0.0/dist/nanogram.iife.min.js"></script>
	<script>
		// Initialize library
		var lib = new Nanogram();
	  
		function buildPorfolio() {
		  var preloader = document.getElementById('preloader');
		  preloader.classList.add('preloader--loading');
		  // Get content from https://www.instagram.com/instagram/
		  return lib.getMediaByUsername('tradexpoid').then(function(response) {
			if (console.table) {
			  console.table(response.profile);
			}
	  
			// Get photos
			var photos = response.profile.edge_owner_to_timeline_media.edges;
			var items = [];
	  
			// Create new elements
			// <div class="portfolio__item">
			//   <a href="..." target="_blank" class="portfolio__link">
			//     <img src="..." alt="..." width="..." height="..." class="portfolio__img">
			//   </a>
			// </div>
	  
			for (var i = 0; i <= photos.length - 1; i++) {
			  var current = photos[i].node;
	  
			  var div = document.createElement('div');
			  var link = document.createElement('a');
			  var img = document.createElement('img');
	  
			  var thumbnail = current.thumbnail_resources[4];
			  var imgSrc = thumbnail.src;
			  var imgWidth = thumbnail.config_width;
			  var imgHeight = thumbnail.config_height;
			  var imgAlt = current.accessibility_caption;
	  
			  var shortcode = current.shortcode;
			  var linkHref = 'https://www.instagram.com/p/' + shortcode;
	  
			  div.classList.add('portfolio__item');
	  
			  img.classList.add('portfolio__img');
			  img.src = imgSrc;
			  img.width = imgWidth;
			  img.height = imgHeight;
			  img.alt = imgAlt;
	  
			  link.classList.add('portfolio__link');
			  link.href = linkHref;
			  link.target = '_blank';
	  
			  link.appendChild(img);
			  div.appendChild(link);
	  
			  items.push(div);
			}
	  
			// Create container for our portfolio
			var container = document.createElement('div');
			container.id = 'portfolio';
			container.classList.add('portfolio');
	  
			// Append all photos to our container
			for (var j = 0; j <= items.length - 1; j++) {
			  container.appendChild(items[j]);
			}
			  
			// Append our container to body
			document.getElementById("preloader").appendChild(container);
	  
			// Add masonry layout just for example, you probably don't need it
			new Masonry(container, {
			  itemSelector: '.portfolio__item',
			  percentPosition: true,
			  gutter: 20,
			});
	  
			preloader.classList.remove('preloader--loading');
		  }).catch(function (error) {
			console.log(error);
			preloader.classList.remove('preloader--loading');
		  })
		}
	  
		buildPorfolio()
	</script>
